| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper > Struct Template Reference
Inheritance diagram for Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
using | ResultT = DataObjID

## Public Member Functions
| DataObjIDGrammar ()

## Public Attributes
Grammar_< Iterator, std::string, Skipper >::Grammar | gaudi_style
Grammar_< Iterator, std::pair< unsigned int, std::string >, Skipper >::Grammar | atlas1_style
Grammar_< Iterator, std::pair< std::string, std::string >, Skipper >::Grammar | atlas2_style
qi::rule< Iterator, DataObjID(), Skipper > | result
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >

Definition at line 23 of file DataObjID.cpp.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator , typename Skipper >

using Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::ResultT = DataObjID

Definition at line 24 of file DataObjID.cpp.

## Constructor & Destructor Documentation

## ◆ DataObjIDGrammar()

template<typename Iterator , typename Skipper >

Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::DataObjIDGrammar | ( |  | ) |
| inline

Definition at line 32 of file DataObjID.cpp.

32 : DataObjIDGrammar::base_type( result ) {
33 result = atlas1_style[op( qi::_val, qi::_1 )] | atlas2_style[op( qi::_val, qi::_1 )] |
34 gaudi_style[op( qi::_val, qi::_1 )];
35 }
Gaudi::Parsers::DataObjIDGrammar::result
qi::rule< Iterator, DataObjID(), Skipper > result
Definition: DataObjID.cpp:39
Gaudi::Parsers::DataObjIDGrammar::op
ph::function< Operations > op
Definition: DataObjID.cpp:40
Gaudi::Parsers::DataObjIDGrammar::atlas2_style
Grammar_< Iterator, std::pair< std::string, std::string >, Skipper >::Grammar atlas2_style
Definition: DataObjID.cpp:38
Gaudi::Parsers::DataObjIDGrammar::gaudi_style
Grammar_< Iterator, std::string, Skipper >::Grammar gaudi_style
Definition: DataObjID.cpp:36
Gaudi::Parsers::DataObjIDGrammar::atlas1_style
Grammar_< Iterator, std::pair< unsigned int, std::string >, Skipper >::Grammar atlas1_style
Definition: DataObjID.cpp:37

## Member Data Documentation

## ◆ atlas1_style

template<typename Iterator , typename Skipper >

Grammar_<Iterator, std::pair<unsigned int, std::string>, Skipper>::Grammar Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::atlas1_style

Definition at line 37 of file DataObjID.cpp.

## ◆ atlas2_style

template<typename Iterator , typename Skipper >

Grammar_<Iterator, std::pair<std::string, std::string>, Skipper>::Grammar Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::atlas2_style

Definition at line 38 of file DataObjID.cpp.

## ◆ gaudi_style

template<typename Iterator , typename Skipper >

Grammar_<Iterator, std::string, Skipper>::Grammar Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::gaudi_style

Definition at line 36 of file DataObjID.cpp.

## ◆ op

template<typename Iterator , typename Skipper >

ph::function<Operations> Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::op

Definition at line 40 of file DataObjID.cpp.

## ◆ result

template<typename Iterator , typename Skipper >

qi::rule<Iterator, DataObjID(), Skipper> Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::result

Definition at line 39 of file DataObjID.cpp.

The documentation for this struct was generated from the following file:

- GaudiKernel/src/Lib/DataObjID.cpp